<div align="center">
  <h1 align="center" style="font-size: 50px">{{title}}</h1>

  <table>
    <tr class="heading_1">
      <td><label>Emp_Id</label></td>
      <td><label>First-Name</label></td>
      <td><label>Last-Name</label></td>
      <td><label>Position-Name</label></td>
    </tr>
    <tr>
      <td><input type="number" [(ngModel)]="empId" placeholder="Emp-Id (6-digits)" required="required"></td>
      <td><input type="text" [(ngModel)]="fname" placeholder="First-Name" required="required"></td>
      <td><input type="text" [(ngModel)]="lname" placeholder="Last-Name" required="required"></td>
      <td><input type="text" [(ngModel)]="pos" placeholder="Position" required="required"><br></td>
      <br>
    </tr>
  </table>
  <label class="heading_1">Message &nbsp;</label>
  <input type="text" [(ngModel)]="res" size="50" readonly class="msg_box"><br>
  <br>
  <button (click)="buttonClicked()">Click to Insert Record</button><br>
  <table border="5" class="dyn_table">
    <thead>
      <tr class="heading_1">
        <th class="serial_no">S.No. &nbsp;</th>
        <th>Emp_Id &nbsp;</th>
        <th>First Name &nbsp;</th>
        <th>Last Name &nbsp;</th>
        <th>Position</th>
        <th>Delete Record</th>
      </tr>
    </thead>
    <tr *ngFor="let row of rows">
      <td>{{rows.indexOf(row) + 1}}</td>
      <td>{{row.empId}}</td>
      <td style="text-transform: capitalize;">{{row.fname}}</td>
      <td style="text-transform: capitalize;">{{row.lname}}</td>
      <td style="text-transform: uppercase;">{{row.pos}}</td>
      <td align="middle"><button id="remove" (click)="deleteRow(rows.indexOf(row))">DELETE ROW</button></td>
    </tr>
  </table>
</div>